#
# Conditional build:
%bcond_without	tests		# build without tests
# test needs rspec-core, however rspec-core depends on rspec-mocks
# runtime part of rspec-mocks does not depend on rspec-core

%define	pkgname	rspec-expectations
Summary:	Rspec-2 expectations (should and matchers)
Summary(pl.UTF-8):	Oczekiwania Rspec-2 (should oraz matchers)
Name:		ruby-%{pkgname}
Version:	2.14.5
Release:	1
License:	MIT
Group:		Development/Languages
Source0:	http://rubygems.org/gems/%{pkgname}-%{version}.gem
# Source0-md5:	63e2297adfd5d8da9a57c54feb1c8f2c
URL:		http://github.com/rspec/rspec-expectations
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
%if %{with tests}
BuildRequires:	ruby-minitest
BuildRequires:	ruby-rspec
%endif
Requires:	ruby-diff-lcs >= 1.1.3
Requires:	ruby-diff-lcs < 2.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rspec-expectations adds `should` and `should_not` to every object and
includes RSpec::Matchers, a library of standard matchers.

%description -l pl.UTF-8
rspec-expectations dodaje `should` oraz `should_not` do każdego
obiektu oraz zawiera RSpec::Matchers - bibliotekę standardowych
funkcji dopasowujących.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# write .gemspec
%__gem_helper spec

%if %{with tests}
ruby -rubygems -Ilib/ -S rspec spec/
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir},%{_bindir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md Changelog.md License.txt
%{ruby_vendorlibdir}/rspec-expectations.rb
%{ruby_vendorlibdir}/rspec/matchers.rb
%{ruby_vendorlibdir}/rspec/matchers
%{ruby_vendorlibdir}/rspec/expectations.rb
%{ruby_vendorlibdir}/rspec/expectations
%{ruby_specdir}/%{pkgname}-%{version}.gemspec
%changelog
* Mon Jun 05 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-rspec-expectations.git;a=log;h=auto/th/ruby-rspec-expectations-2.14.5-1

* Mon Jun 05 2017 Jakub Bogusz <qboosh@pld-linux.org> ce5facb
- updated to 2.14.5 (last 2.x release)

* Mon Aug 31 2015 Elan Ruusamäe <glen@delfi.ee> b9cb3d1
- rebuild without versioned ruby abi dep
- release 4 (by relup.sh)

* Mon Dec 08 2014 Elan Ruusamäe <glen@delfi.ee> a7fe20c
- rebuild with gemspec provides

* Sat Aug 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 8e310de
- pl, cleanup

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> fcdface
- ruby 2.0 rebuild
- release 2 (by relup.sh)

* Thu Apr 25 2013 Elan Ruusamäe <glen@delfi.ee> 05967f0
- silly inversed bcond

* Thu Apr 25 2013 Elan Ruusamäe <glen@delfi.ee> 91ccb93
- drop bootstrap bcond, tests bcond is sufficent

* Sun Apr 14 2013 Elan Ruusamäe <glen@delfi.ee> 5293135
- new, version 2.13.0

